CUPTI (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.22. CUpti_ActivityMetricInstance Struct Reference

## [CUPTI Activity API]

### Public Variables

uint32_t correlationId
uint8_t flags
CUpti_MetricID id
uint32_t instance
CUpti_ActivityKind kind
uint8_t pad[7]
union CUpti_MetricValue value

### Variables

uint32_t CUpti_ActivityMetricInstance::correlationId [inherited]

  The correlation ID of the metric. Use of this ID is user-defined, but typically this ID value will equal the correlation ID of the kernel for which the metric was gathered.

uint8_t CUpti_ActivityMetricInstance::flags [inherited]

  The properties of this metric.

  See also:

  CUpti_ActivityFlag

CUpti_MetricID CUpti_ActivityMetricInstance::id [inherited]

  The metric ID.

uint32_t CUpti_ActivityMetricInstance::instance [inherited]

  The metric domain instance.

CUpti_ActivityKind CUpti_ActivityMetricInstance::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_METRIC_INSTANCE.

uint8_t CUpti_ActivityMetricInstance::pad[7] [inherited]

  Undefined. Reserved for internal use.

union CUpti_MetricValue CUpti_ActivityMetricInstance::value [inherited]

  The metric value.